
#import "GKInternalRepresentation.h"

@class GKPlayerCredential;


@interface GKAuthenticateResponse : GKInternalRepresentation {
    bool  _accessPointIsOnAutomatically;
    long long  _accessPointLocation;
    bool  _accessPointShowHighlights;
    NSString * _alertMessage;
    NSString * _alertTitle;
    GKPlayerCredential * _credential;
    NSString * _lastPersonalizationVersionDisplayed;
    unsigned long long  _lastPrivacyNoticeVersionDisplayed;
    NSString * _lastProfilePrivacyVersionDisplayed;
    bool  _loginDisabled;
    bool  _passwordChangeRequired;
    NSURL * _passwordChangeURL;
    bool  _shouldShowLinkAccountsUI;
    bool  _useNewDashboardUI;
}

@property (nonatomic) bool accessPointIsOnAutomatically;
@property (nonatomic) long long accessPointLocation;
@property (nonatomic) bool accessPointShowHighlights;
@property (nonatomic, retain) NSString *alertMessage;
@property (nonatomic, retain) NSString *alertTitle;
@property (nonatomic, retain) GKPlayerCredential *credential;
@property (nonatomic, retain) NSString *lastPersonalizationVersionDisplayed;
@property (nonatomic) unsigned long long lastPrivacyNoticeVersionDisplayed;
@property (nonatomic, retain) NSString *lastProfilePrivacyVersionDisplayed;
@property (nonatomic) bool loginDisabled;
@property (nonatomic) bool passwordChangeRequired;
@property (nonatomic, retain) NSURL *passwordChangeURL;
@property (nonatomic) bool shouldShowLinkAccountsUI;
@property (nonatomic) bool useNewDashboardUI;

+ (id)secureCodedPropertyKeys;

- (bool)accessPointIsOnAutomatically;
- (long long)accessPointLocation;
- (bool)accessPointShowHighlights;
- (id)alertMessage;
- (id)alertTitle;
- (id)credential;
- (id)init;
- (id)lastPersonalizationVersionDisplayed;
- (unsigned long long)lastPrivacyNoticeVersionDisplayed;
- (id)lastProfilePrivacyVersionDisplayed;
- (bool)loginDisabled;
- (bool)passwordChangeRequired;
- (id)passwordChangeURL;
- (void)setAccessPointIsOnAutomatically:(bool)arg1;
- (void)setAccessPointLocation:(long long)arg1;
- (void)setAccessPointShowHighlights:(bool)arg1;
- (void)setAlertMessage:(NSString *)arg1;
- (void)setAlertTitle:(NSString *)arg1;
- (void)setCredential:(GKPlayerCredential *)arg1;
- (void)setLastPersonalizationVersionDisplayed:(NSString *)arg1;
- (void)setLastPrivacyNoticeVersionDisplayed:(unsigned long long)arg1;
- (void)setLastProfilePrivacyVersionDisplayed:(NSString *)arg1;
- (void)setLoginDisabled:(bool)arg1;
- (void)setPasswordChangeRequired:(bool)arg1;
- (void)setPasswordChangeURL:(NSURL *)arg1;
- (void)setShouldShowLinkAccountsUI:(bool)arg1;
- (void)setUseNewDashboardUI:(bool)arg1;
- (bool)shouldShowLinkAccountsUI;
- (bool)useNewDashboardUI;

@end
