
@interface GKCustomTournamentRequestInternal : GKInternalRepresentation {
    double  _duration;
    NSString * _icon;
    bool  _isCreatorInTournament;
    long long  _maxPlayers;
    long long  _maxReplays;
    long long  _minPlayers;
    long long  _scoringMethod;
    long long  _seedingMethod;
    NSDate * _startTime;
    GKPlayerInternal * _tournamentCreator;
    GKTournamentDefinitionInternal * _tournamentDefinition;
    NSString * _tournamentName;
}

@property (nonatomic) double duration;
@property (nonatomic, retain) NSString *icon;
@property (nonatomic) bool isCreatorInTournament;
@property (nonatomic) long long maxPlayers;
@property (nonatomic) long long maxReplays;
@property (nonatomic) long long minPlayers;
@property (nonatomic) long long scoringMethod;
@property (nonatomic) long long seedingMethod;
@property (nonatomic, retain) NSDate *startTime;
@property (nonatomic, retain) GKPlayerInternal *tournamentCreator;
@property (nonatomic, retain) GKTournamentDefinitionInternal *tournamentDefinition;
@property (nonatomic, retain) NSString *tournamentName;

+ (id)customTournamentRequestWithTournamentDefinition:(id)arg1 player:(id)arg2;
+ (id)secureCodedPropertyKeys;

- (double)duration;
- (id)icon;
- (bool)isCreatorInTournament;
- (long long)maxPlayers;
- (long long)maxReplays;
- (long long)minPlayers;
- (long long)scoringMethod;
- (long long)seedingMethod;
- (void)setDuration:(double)arg1;
- (void)setIcon:(id)arg1;
- (void)setIsCreatorInTournament:(bool)arg1;
- (void)setMaxPlayers:(long long)arg1;
- (void)setMaxReplays:(long long)arg1;
- (void)setMinPlayers:(long long)arg1;
- (void)setScoringMethod:(long long)arg1;
- (void)setSeedingMethod:(long long)arg1;
- (void)setStartTime:(id)arg1;
- (void)setTournamentCreator:(id)arg1;
- (void)setTournamentDefinition:(id)arg1;
- (void)setTournamentName:(id)arg1;
- (id)startTime;
- (id)tournamentCreator;
- (id)tournamentDefinition;
- (id)tournamentName;

@end
