
@interface GKMatchRequestInternal : GKInternalRepresentation {
    unsigned char  _defaultNumberOfPlayers;
    NSString * _inviteMessage;
    NSDictionary * _localizableInviteMessage;
    unsigned long long  _matchType;
    unsigned char  _maxPlayers;
    unsigned char  _minPlayers;
    unsigned int  _playerAttributes;
    unsigned long long  _playerGroup;
    bool  _preloadedMatch;
    NSArray * _recipientPlayerIDs;
    NSArray * _recipients;
    bool  _restrictToAutomatch;
    NSString * _rid;
    NSData * _sessionToken;
    GKTournamentInternal * _tournamentForInvitePool;
    unsigned int  _version;
}

@property (nonatomic) unsigned char defaultNumberOfPlayers;
@property (nonatomic, copy) NSString *inviteMessage;
@property (nonatomic, retain) NSDictionary *localizableInviteMessage;
@property (nonatomic) unsigned long long matchType;
@property (nonatomic) unsigned char maxPlayers;
@property (nonatomic) unsigned char minPlayers;
@property (nonatomic) unsigned int playerAttributes;
@property (nonatomic) unsigned long long playerGroup;
@property (getter=isPreloadedMatch, nonatomic) bool preloadedMatch;
@property (nonatomic, retain) NSArray *recipientPlayerIDs;
@property (nonatomic, retain) NSArray *recipients;
@property (nonatomic) bool restrictToAutomatch;
@property (nonatomic, retain) NSString *rid;
@property (nonatomic, retain) NSData *sessionToken;
@property (nonatomic, retain) GKTournamentInternal *tournamentForInvitePool;
@property (nonatomic) unsigned int version;

+ (id)secureCodedPropertyKeys;

- (void)dealloc;
- (unsigned char)defaultNumberOfPlayers;
- (bool)hasGuestPlayers;
- (unsigned long long)hash;
- (id)init;
- (id)inviteMessage;
- (bool)isEqual:(id)arg1;
- (bool)isPreloadedMatch;
- (id)localizableInviteMessage;
- (unsigned long long)matchType;
- (unsigned char)maxPlayers;
- (unsigned char)minPlayers;
- (unsigned int)playerAttributes;
- (unsigned long long)playerGroup;
- (id)recipientPlayerIDs;
- (id)recipients;
- (bool)restrictToAutomatch;
- (id)rid;
- (id)sessionToken;
- (void)setDefaultNumberOfPlayers:(unsigned char)arg1;
- (void)setInviteMessage:(id)arg1;
- (void)setLocalizableInviteMessage:(id)arg1;
- (void)setMatchType:(unsigned long long)arg1;
- (void)setMaxPlayers:(unsigned char)arg1;
- (void)setMinPlayers:(unsigned char)arg1;
- (void)setPlayerAttributes:(unsigned int)arg1;
- (void)setPlayerGroup:(unsigned long long)arg1;
- (void)setPreloadedMatch:(bool)arg1;
- (void)setRecipientPlayerIDs:(id)arg1;
- (void)setRecipients:(id)arg1;
- (void)setRestrictToAutomatch:(bool)arg1;
- (void)setRid:(id)arg1;
- (void)setSessionToken:(id)arg1;
- (void)setTournamentForInvitePool:(id)arg1;
- (void)setVersion:(unsigned int)arg1;
- (id)tournamentForInvitePool;
- (unsigned int)version;

@end
