
@class GKInviteInternal, GKMatchRequestInternal, GKMatchResponse;

@protocol GKMultiplayerService <NSObject>

@required

- (oneway void)acceptGameInvite:(GKInviteInternal *)arg1 connectionData:(NSData *)arg2 handler:(void (^)(NSDictionary *, NSError *))arg3;
- (oneway void)cancelGameInviteWithHandler:(void (^)())arg1;
- (oneway void)cancelOutstandingMatchRequestWithHandler:(void (^)())arg1;
- (oneway void)cancelRelayRequest:(NSDictionary *)arg1 handler:(void (^)(NSDictionary *, NSError *))arg2;
- (oneway void)declineGameInvite:(GKInviteInternal *)arg1 reason:(long long)arg2 handler:(void (^)())arg3;
- (oneway void)getAcceptedGameInviteWithHandler:(void (^)(GKInviteInternal *, NSError *))arg1;
- (oneway void)getCompatibilityMatrix:(NSDictionary *)arg1 handler:(void (^)(NSArray *, NSError *))arg2;
- (oneway void)getFlowRateForPlayerGroup:(long long)arg1 handler:(void (^)(unsigned long long, NSError *))arg2;
- (oneway void)getInviteSessionTokenWithHandler:(void (^)(NSData *, NSError *))arg1;
- (oneway void)getOverallFlowRateWithHandler:(void (^)(unsigned long long, NSError *))arg1;
- (oneway void)getPlayersForMatchRequest:(GKMatchRequestInternal *)arg1 connectionData:(NSData *)arg2 connectedPeers:(long long)arg3 rematchID:(NSString *)arg4 handler:(void (^)(GKMatchResponse *, NSError *))arg5;
- (oneway void)getPlayersToInviteWithHandlerV2:(void (^)(NSArray *, NSError *))arg1;
- (oneway void)initiateRelayRequest:(NSDictionary *)arg1 handler:(void (^)(NSDictionary *, NSError *))arg2;
- (oneway void)invitePlayersForMatchRequest:(GKMatchRequestInternal *)arg1 onlineConnectionData:(NSData *)arg2 nearbyConnectionData:(NSData *)arg3 handler:(void (^)(NSDictionary *, NSError *))arg4;
- (oneway void)loadURLWithData:(NSData *)arg1 player:(GKPlayerInternal *)arg2 matchRequest:(GKMatchRequestInternal *)arg3 handler:(void (^)(NSURL *, NSError *))arg4;
- (oneway void)nearbyInviteWasCancelled:(NSDictionary *)arg1;
- (oneway void)presentNearbyInvite:(NSDictionary *)arg1;
- (oneway void)removeInviteSession;
- (oneway void)removePlayersFromGameInviteV2:(NSArray *)arg1 handler:(void (^)())arg2;
- (oneway void)sendReconnectInvitation:(NSString *)arg1 toPlayer:(GKPlayerInternal *)arg2 connectionData:(NSData *)arg3 sessionToken:(NSData *)arg4 pushToken:(NSData *)arg5 handler:(void (^)(NSError *))arg6;
- (oneway void)setShareInvitees:(NSArray *)arg1;
- (oneway void)updateCacheWithNearbyProfileDictionary:(NSDictionary *)arg1 handler:(void (^)(GKPlayerInternal *))arg2;
- (oneway void)updateRelayRequest:(NSDictionary *)arg1 handler:(void (^)(NSDictionary *, NSError *))arg2;

@end
