
@class GKDaemonProxy;
#import "GKAccountService.h"
#import "GKAccountServicePrivate.h"
#import "GKAnalyticsService.h"
#import "GKAnalyticsServicePrivate.h"
#import "GKBulletinService.h"
#import "GKBulletinServicePrivate.h"
#import "GKChallengeService.h"
#import "GKChallengeServicePrivate.h"
#import "GKFriendService.h"
#import "GKFriendServicePrivate.h"
#import "GKGameService.h"
#import "GKGameServicePrivate.h"
#import "GKGameSessionService.h"
#import "GKGameSessionServicePrivate.h"
#import "GKGameStatService.h"
#import "GKGameStatServicePrivate.h"
#import "GKMultiplayerService.h"
#import "GKMultiplayerServicePrivate.h"
#import "GKProfileService.h"
#import "GKProfileServicePrivate.h"
#import "GKTournamentService.h"
#import "GKTournamentServicePrivate.h"
#import "GKTurnBasedService.h"
#import "GKTurnBasedServicePrivate.h"
#import "GKUtilityService.h"
#import "GKUtilityServicePrivate.h"

@interface GKServiceProxy : NSObject {
    GKDaemonProxy * _baseProxy;
    GKPlayerInternal * _localPlayer;
    GKThreadsafeDictionary * _pendingRequests;
    unsigned int  _serviceGeneration;
    NSDictionary * _serviceLookup;
}

@property (readonly) <GKAccountService> accountService;
@property (readonly) <GKAccountServicePrivate> accountServicePrivate;
@property (readonly) <GKAnalyticsService> analyticsService;
@property (readonly) <GKAnalyticsServicePrivate> analyticsServicePrivate;
@property (retain) GKDaemonProxy *baseProxy;
@property (readonly) <GKBulletinService> bulletinService;
@property (readonly) <GKBulletinServicePrivate> bulletinServicePrivate;
@property (readonly) <GKChallengeService> challengeService;
@property (readonly) <GKChallengeServicePrivate> challengeServicePrivate;
@property (readonly) <GKFriendService> friendService;
@property (readonly) <GKFriendServicePrivate> friendServicePrivate;
@property (readonly) <GKGameService> gameService;
@property (readonly) <GKGameServicePrivate> gameServicePrivate;
@property (readonly) <GKGameSessionService> gameSessionService;
@property (readonly) <GKGameSessionServicePrivate> gameSessionServicePrivate;
@property (readonly) <GKGameStatService> gameStatService;
@property (readonly) <GKGameStatServicePrivate> gameStatServicePrivate;
@property GKPlayerInternal *localPlayer;
@property (readonly) <GKMultiplayerService> multiplayerService;
@property (readonly) <GKMultiplayerServicePrivate> multiplayerServicePrivate;
@property (retain) GKThreadsafeDictionary *pendingRequests;
@property (readonly) <GKProfileService> profileService;
@property (readonly) <GKProfileServicePrivate> profileServicePrivate;
@property unsigned int serviceGeneration;
@property (retain) NSDictionary *serviceLookup;
@property (readonly) <GKTournamentService> tournamentService;
@property (readonly) <GKTournamentServicePrivate> tournamentServicePrivate;
@property (readonly) <GKTurnBasedService> turnBasedService;
@property (readonly) <GKTurnBasedServicePrivate> turnBasedServicePrivate;
@property (readonly) <GKUtilityService> utilityService;
@property (readonly) <GKUtilityServicePrivate> utilityServicePrivate;

- (id)accountService;
- (id)accountServicePrivate;
- (void)addService:(id)arg1 forProtocol:(id)arg2 toLookup:(id)arg3;
- (id)analyticsService;
- (id)analyticsServicePrivate;
- (id)baseProxy;
- (void)buildServiceLookup;
- (void)buildServiceLookupIfNeccessary;
- (id)bulletinService;
- (id)bulletinServicePrivate;
- (id)challengeService;
- (id)challengeServicePrivate;
- (void)forwardInvocation:(id)arg1;
- (id)friendService;
- (id)friendServicePrivate;
- (id)gameService;
- (id)gameServicePrivate;
- (id)gameSessionService;
- (id)gameSessionServicePrivate;
- (id)gameStatService;
- (id)gameStatServicePrivate;
- (id)initWithPlayer:(id)arg1;
- (id)localPlayer;
- (id)methodSignatureForProtocol:(id)arg1 selector:(SEL)arg2;
- (id)methodSignatureForSelector:(SEL)arg1;
- (id)multiplayerService;
- (id)multiplayerServicePrivate;
- (id)pendingRequests;
- (id)profileService;
- (id)profileServicePrivate;
- (void)replyToDuplicatesForRequest:(id)arg1 withInvocation:(id)arg2 queue:(id)arg3;
- (id)requestIdentifierForInvocation:(id)arg1;
- (unsigned int)serviceGeneration;
- (id)serviceLookup;
- (void)setBaseProxy:(id)arg1;
- (void)setLocalPlayer:(id)arg1;
- (void)setPendingRequests:(id)arg1;
- (void)setServiceGeneration:(unsigned int)arg1;
- (void)setServiceLookup:(id)arg1;
- (id)tournamentService;
- (id)tournamentServicePrivate;
- (id)turnBasedService;
- (id)turnBasedServicePrivate;
- (id)utilityService;
- (id)utilityServicePrivate;

@end
